### Function

# GdkPixdata.pixbuf_from_pixdata

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_from_pixdata (
      const GdkPixdata* pixdata,
      gboolean copy_pixels,
      GError** error
    )

#### Description [src]

Converts a `GdkPixdata` to a `GdkPixbuf`.

If `copy_pixels` is `TRUE` or if the pixel data is run-length-encoded, the pixel data is copied into newly-allocated memory; otherwise it is reused.

Deprecated since: | 2.32
Use `GResource` instead.

#### Parameters

`pixdata` | `GdkPixdata`
| a `GdkPixdata` to convert into a `GdkPixbuf`.
| Ownership is not transferred to the callee
`copy_pixels` | `gboolean`
| whether to copy raw pixel data; run-length encoded pixel data is always copied.

#### Return value

Returns: `GdkPixbuf*`
a new pixbuf
Ownership of the data is transferred to the caller